Subject: Bug#531221: okular: Arbitrarily enforces DRM

From: Ana Guerrero <[email-masked]>
Date: Sun, 31 May 2009 16:17:56 +0200

On Sun, May 31, 2009 at 09:05:10AM -0500, John Goerzen wrote:
> Ana Guerrero wrote:
> > On Sun, May 31, 2009 at 08:32:25AM -0500, John Goerzen wrote:
> >> In any case, I think it was very premature to tag this wontfix. 
> > ...
> > 
> >> Why are you tagging it wontfix, Sune?
> >>
> > 
> > I do not see this as premature at all. We, KDE maintainers, have talked 
> > about it and we all have decided we are ok as it is now. Then tagged your
> > wishlist report as wonfix accordingly.
> 
> Could you share your reasoning with us, specifically why you don't like
> each of the four options I mentioned?  (Reproduced below)
> 
> 1) Remove the DRM feature entirely
> 
> 2) Patch the default to have it disabled
> 
> 3) Patch the prompt to have an "allow/deny" option
> 
> 4) Patch the text to tell people where to go to turn it off
>

Where you offers solutions for a problem, I firstly do not see the problem.
Because for me the current default is ok. I consider this is a wishlist bug that 
does not bother me at all, if it did then i might use my time in patching it
and maintaining it in the future, but it is not the case. The only thing I can
do here is telling you this is a wontfix and that is what you got.

If you get upstream adding a notice here, I will be fine with that too, and debian 
will carry that.

Finally, I only took the time of answering firstly to the bug report because 
I thought you deserved to know we did not ignore you issue slightly and we 
packagers talked about it. But I am not going to mail further to this bug report 
just to say one time and again exaclty the same...

Ana